ViennaCL - The Vienna Computing Library: viennacl::linalg::block_ilu_precond< compressed_matrix< NumericT, AlignmentV >, ILUTagT > Class Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
viennacl::linalg::block_ilu_precond< compressed_matrix< NumericT, AlignmentV >, ILUTagT > Class Template Reference

ILUT preconditioner class, can be supplied to solve()-routines. More...

`#include <block_ilu.hpp>`

## Public Types
typedef std::vector< std::pair < vcl_size_t, vcl_size_t > > | index_vector_type

## Public Member Functions
| block_ilu_precond (MatrixType const &mat, ILUTagT const &tag, vcl_size_t num_blocks=8)
| block_ilu_precond (MatrixType const &mat, ILUTagT const &tag, index_vector_type const &block_boundaries)
void | apply (vector< NumericT > &vec) const

## Detailed Description

### template<typename NumericT, unsigned int AlignmentV, typename ILUTagT>
class viennacl::linalg::block_ilu_precond< compressed_matrix< NumericT, AlignmentV >, ILUTagT >

ILUT preconditioner class, can be supplied to solve()-routines.

Specialization for compressed_matrix

Definition at line 281 of file block_ilu.hpp.

## Member Typedef Documentation

template<typename NumericT , unsigned int AlignmentV, typename ILUTagT >

typedef std::vector<std::pair<vcl_size_t, vcl_size_t> > viennacl::linalg::block_ilu_precond< compressed_matrix< NumericT, AlignmentV >, ILUTagT >::index_vector_type

Definition at line 286 of file block_ilu.hpp.

## Constructor & Destructor Documentation

template<typename NumericT , unsigned int AlignmentV, typename ILUTagT >

viennacl::linalg::block_ilu_precond< compressed_matrix< NumericT, AlignmentV >, ILUTagT >::block_ilu_precond | ( | MatrixType const & | mat,
|  | ILUTagT const & | tag,
|  | vcl_size_t | num_blocks = `8`
| ) |  |
| inline

Definition at line 289 of file block_ilu.hpp.

template<typename NumericT , unsigned int AlignmentV, typename ILUTagT >

viennacl::linalg::block_ilu_precond< compressed_matrix< NumericT, AlignmentV >, ILUTagT >::block_ilu_precond | ( | MatrixType const & | mat,
|  | ILUTagT const & | tag,
|  | index_vector_type const & | block_boundaries
| ) |  |
| inline

Definition at line 317 of file block_ilu.hpp.

## Member Function Documentation

template<typename NumericT , unsigned int AlignmentV, typename ILUTagT >

void viennacl::linalg::block_ilu_precond< compressed_matrix< NumericT, AlignmentV >, ILUTagT >::apply | ( | vector< NumericT > & | vec | ) | const
| inline

Definition at line 336 of file block_ilu.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/ilu/block_ilu.hpp